Sends a verification email to the specified send-as alias address. The verification status must be pending. For more information, see Manage aliases and signatures with the Gmail API.
This method is only available to service account clients that have been delegated domain-wide authority.
HTTP request
POST https://gmail.googleapis.com/gmail/v1/users/{userId}/settings/sendAs/{sendAsEmail}/verify
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
userId |
User's email address. The special value "me" can be used to indicate the authenticated user. |
sendAsEmail |
The send-as alias to be verified. |
Request body
The request body must be empty.
Response body
If successful, the response body is empty.
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/gmail.settings.sharing
For more information, see the Authorization guide.